/Users/bernard/b20/bsoft/include/rwmgSTAR.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwmgSTAR.h - Header file for reading and writing micrograph parameters from and to the STAR format.

SYNOPSIS

#include 'mg_processing.h'
#include 'rwstar.h'

  Functions
int read_project_star (Bstring &filename, Bproject *project)
Reading micrograph parameters from STAR files.
int write_project_star (const char *filename, Bproject *project, int mg_select, int rec_select)
Writing micrograph parameters to a STAR file.
int write_project_star (Bstring &filename, Bproject *project, int mg_select, int rec_select)
int mg_star_update_tags (Bstar *star)
Replacing old STAR tags with new ones.

Detailed Description

Header file for reading and writing micrograph parameters from and to the STAR format.

Author:
    Bernard Heymann

Date:
    Created: 20000426

    Modified: 20071112

Definition in file rwmgSTAR.h.

Function Documentation

  int mg_star_update_tags (Bstar * star)

Replacing old STAR tags with new ones.

Parameters:
    *star STAR database.

Returns:
    int 0.

Definition at line 83 of file rwmgSTAR.cpp.

  int read_project_star (Bstring & filename, Bproject * project)

Reading micrograph parameters from STAR files.

Parameters:
    &filename file name (or comma-delimited list).
    *project initialized project structure.

Returns:
    int error code (<0 means failure).

Definition at line 29 of file rwmgSTAR.cpp.

  int write_project_star (const char * filename, Bproject * project, int mg_select, int rec_select)

Writing micrograph parameters to a STAR file.

Parameters:
    &filename file name.
    *project project structure.
    mg_select flag to only write selected micrographs.
    rec_select flag to only convert selected reconstructions.

Returns:
    int error code (<0 means failure).

Definition at line 56 of file rwmgSTAR.cpp.

  int write_project_star (Bstring & filename, Bproject * project, int mg_select, int rec_select)

Definition at line 62 of file rwmgSTAR.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.